bs-accordion-item:
  label: Accordion Item
  namespace: Organisms/Bootstrap/Accordion
  use: '@organisms/tm-bs/accordion/accordion-item/accordion-item.twig'
  description: A collapsible accordion item without javascript.
  fields:
    label:
      type: text
      label: The accordion item label
      description: The accordion item label.
      preview:
        faker: lorem.word
    content:
      type: text
      label: The collapsed content
      description: The collapsed content.
      preview:
        faker: lorem.paragraph
    aiid:
      type: text
      label: Item ID
      description: ID of the accordion-item
      preview:
        faker: lorem.slug
  settings:
    pid:
      type: textfield
      label: Parent ID
      description: ID of the parent
    active:
      type: boolean
      label: Starts open
      default_value: false
      preview: false
    show_close:
      type: boolean
      label: Show close
      default_value: false
      preview: false
    scroll_to:
      type: boolean
      label: Scroll to
      default_value: false
      preview: false
    toggle:
      type: select
      label: Toggle
      description: The icon used for collapse.
      options:
        sign: Sign
        chevron: Chevron
    level:
      type: select
      label: Level
      description: Block or inline (flex or inline-flex).
      default_value: block
      preview: inline
      options:
        block: Block
        inline: inline
    content_class:
      type: textfield
      label: Content class
      description: Content class
    content_attributes:
      type: attributes
      label: Content attributes
      description: Content attributes
    link_attributes:
      type: attributes
      label: Link attributes
      description: Link attributes
    link_class:
      type: textfield
      label: Link class
      description: Link class
    tag_name:
      type: textfield
      label: Tag name
      description: Tag name
      default_value: a
      preview: a
    parts:
      type: select
      label: parts
      description: Link or Content or Both.
      default_value: both
      preview: both
      options:
        both: Both
        link: Link
        content: Content
  variants:
    __default:
      label: Default
      description: Default
    aci_a:
      label: Version A
      description: Version A
      settings:
        toggle: sign
        link_class: aci-a-link
        content_class: aci-a-content
    aci_b:
      label: Version B
      description: Version B
      settings:
        toggle: ''
        level: inline
        link_class: aci-b-link
        content_class: aci-b-content
    aci_c:
      label: Version C
      description: Version C
      settings:
        toggle: chevron
        level: ''
        link_class: aci-c-link
        content_class: aci-c-content
        show_close: true
    aci_d:
      label: Version D
      description: Version D
      settings:
        toggle: chevron_right
        link_class: aci-d-link belianr h3
        content_class: aci-d-content
